| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | List of all members
HDF5::ReaderImpl Class Reference
ODHDF5

`#include <hdf5readerimpl.h>`

Inheritance diagram for HDF5::ReaderImpl:
[legend]

## Public Member Functions
| ReaderImpl ()
| ReaderImpl (const H5::H5File &)
virtual | ~ReaderImpl ()
Public Member Functions inherited from HDF5::Reader
size_type | dimSize (const DataSetKey &, dim_idx_type, uiRetVal &) const
uiRetVal | get (const DataSetKey &, BufferStringSet &) const
template<class T >
uiRetVal | get (const DataSetKey &, TypeSet< T > &) const
uiRetVal | get (IOPar &, const DataSetKey *=nullptr) const
uiRetVal | getAll (const DataSetKey &, void *) const
| Get the entire data set in current scope.
uiRetVal | getAttributeNames (BufferStringSet &, const DataSetKey *=nullptr) const
uiRetVal | getComment (const DataSetKey &, BufferString &) const
ArrayNDInfo * | getDataSizes (const DataSetKey &, uiRetVal &) const
ODDataType | getDataType (const DataSetKey &, uiRetVal &) const
nr_dims_type | getNrDims (const DataSetKey &, uiRetVal &) const
uiRetVal | getSlab (const DataSetKey &, const SlabSpec &, void *) const
uiRetVal | getValue (const DataSetKey &, NDPos, void *) const
| Get a single point value.
uiRetVal | getValues (const DataSetKey &, const NDPosBufSet &, void *) const
| Get a set of distinct points' values.
uiRetVal | getVersion (const DataSetKey &, unsigned &) const
bool | isReader () const override
nr_dims_type | nrDims () const
Public Member Functions inherited from HDF5::Access
virtual | ~Access ()
H5::H5File * | getHDF5File ()
bool | hasDataSet (const DataSetKey &) const
bool | hasGroup (const char *grpnm) const
bool | isOpen () const
uiRetVal | open (const char *)
uiString | sCantSetScope (const DataSetKey &) const
Public Member Functions inherited from HDF5::AccessImpl
| AccessImpl (ReaderImpl &)
| AccessImpl (WriterImpl &)
virtual | ~AccessImpl ()

## Private Member Functions
void | closeFile () override
od_int64 | curGroupID () const override
const char * | fileName () const override
bool | getAttribute (const char *, BufferString &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, double &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, float &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, od_int16 &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, od_int32 &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, od_int64 &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, od_uint16 &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, od_uint32 &, const DataSetKey *=nullptr) const override
bool | getAttribute (const char *, od_uint64 &, const DataSetKey *=nullptr) const override
void | getDataSets (const char *grpnm, BufferStringSet &) const override
| Pass a full group name.
H5::DataSet * | getDSScope (const DataSetKey &dsky) const override
| Returns (new) scope. null for root scope.
void | getGroups (BufferStringSet &) const override
| All groups with full names (recursive)
H5::Group * | getGrpScope (const DataSetKey *dsky) const override
H5::H5Location * | getLocation (const DataSetKey *dsky) const override
int | getNrAttributes (const DataSetKey *=nullptr) const override
H5::H5Object * | getScope (const DataSetKey *dsky) const override
void | getSubGroups (const char *grpnm, BufferStringSet &) const override
void | gtAll (const H5::DataSet &, void *, uiRetVal &) const override
void | gtAttribNames (const H5::H5Object &, BufferStringSet &) const override
void | gtComment (const H5::H5Location &, const char *name, BufferString &, uiRetVal &) const override
ArrayNDInfo * | gtDataSizes (const H5::DataSet &) const override
ODDataType | gtDataType (const H5::DataSet &) const override
void | gtInfo (const H5::H5Object &, IOPar &, uiRetVal &) const override
nr_dims_type | gtNrDims () const override
void | gtSlab (const H5::DataSet &, const SlabSpec &, void *, uiRetVal &) const override
void | gtStrings (const H5::DataSet &, BufferStringSet &, uiRetVal &) const override
void | gtValues (const H5::DataSet &, const NDPosBufSet &, void *, uiRetVal &) const override
unsigned | gtVersion (const H5::H5Object &, uiRetVal &) const override
const H5DataType & | h5DataType (const H5::DataSet &) const
bool | hasAttribute (const char *, const DataSetKey *=nullptr) const override
template<class H5Dir >
void | listObjs (const H5Dir &, BufferStringSet &, bool wantgroups) const
void | openFile (const char *, uiRetVal &, bool) override
uiRetVal | readJSonAttribute (const char *, OD::JSON::ValueSet &, const DataSetKey *=nullptr) const override
DataSetKey | scope () const override
H5::DataSet * | setDSScope (const DataSetKey &dsky) override
H5::Group * | setGrpScope (const DataSetKey *dsky) override
H5::H5Location * | setLocation (const DataSetKey *dsky) override
H5::H5Object * | setScope (const DataSetKey *dsky) override

## Additional Inherited Members
Public Types inherited from HDF5::Reader
typedef TypeSet< NDPosBuf > | NDPosBufSet
Static Public Member Functions inherited from HDF5::Access
static bool | isEnabled (const char *fortype=nullptr)
static bool | isEnvBlocked (const char *fortype=nullptr)
static bool | isHDF5File (const char *)
static uiString | sCannotReadDataSet (const DataSetKey &)
static uiString | sDataSetNotFound (const DataSetKey &)
static const char * | sFileExtension ()
static uiString | sHDF5FileNoLongerAccessible ()
static uiString | sHDF5NotAvailable ()
static uiString | sHDF5NotAvailable (const char *fnm)
static uiString | sHDF5PackageDispName ()
static const char * | sIconName ()
static uiString | sNotHDF5File (const char *)
static const char * | sSettingsEnabKey ()
Static Public Member Functions inherited from HDF5::AccessImpl
static void | setErrPrint (bool)
| user switch on/off
Public Attributes inherited from HDF5::Access
| mTypeDefArrNDTypes
Protected Types inherited from HDF5::AccessImpl
typedef H5::PredType | H5DataType
Protected Member Functions inherited from HDF5::Access
| Access ()
Protected Member Functions inherited from HDF5::AccessImpl
bool | atDataSet (const char *) const
bool | atGroup (const char *&) const
void | doCloseFile (Access &)
const char * | gtFileName () const
od_int64 | gtGroupID () const
DataSetKey | gtScope () const
bool | haveDataSet () const
bool | haveGroup () const
H5::DataSet * | selectDataSet (const char *) const
H5::Group * | selectGroup (const char *) const
void | selectSlab (H5::DataSpace &, const SlabSpec &, TypeSet< hsize_t > *pcounts=0) const
| can throw, use in try block
H5::DataSet * | stDSScope (const DataSetKey &)
H5::DataSet * | stDSScope (const DataSetKey &) const
H5::Group * | stGrpScope (const DataSetKey *)
H5::Group * | stGrpScope (const DataSetKey *) const
H5::H5Location * | stLocation (const DataSetKey *)
H5::H5Location * | stLocation (const DataSetKey *) const
H5::H5Object * | stScope (const DataSetKey *)
H5::H5Object * | stScope (const DataSetKey *) const
Static Protected Member Functions inherited from HDF5::Reader
static uiString | sBadDataSpace ()
Static Protected Member Functions inherited from HDF5::Access
static uiString | sFileNotOpen ()
static uiString | sHDF5Err (const uiString &)
static const char * | sNeedScope ()
static const char * | sNoDataPassed ()
static const char * | sOpenFileFirst ()
Static Protected Member Functions inherited from HDF5::AccessImpl
static const H5DataType & | h5DataTypeFor (ODDataType)
static bool | haveErrPrint ()
Protected Attributes inherited from HDF5::Access
H5::H5File * | file_
bool | myfile_
Protected Attributes inherited from HDF5::AccessImpl
Access & | acc_
H5::DataSet | dataset_
H5::Group | group_
ArrayNDInfo::nr_dims_type | nrdims_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ReaderImpl() [1/2]

HDF5::ReaderImpl::ReaderImpl | ( |  | ) |

## ◆ ReaderImpl() [2/2]

HDF5::ReaderImpl::ReaderImpl | ( | const H5::H5File & |  | ) |

## ◆ ~ReaderImpl()

virtual HDF5::ReaderImpl::~ReaderImpl | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ closeFile()

void HDF5::ReaderImpl::closeFile | ( |  | ) |
| inline override private virtual

Implements HDF5::Access.

## ◆ curGroupID()

od_int64 HDF5::ReaderImpl::curGroupID | ( |  | ) | const
| inline override private virtual

Implements HDF5::Access.

## ◆ fileName()

const char * HDF5::ReaderImpl::fileName | ( |  | ) | const
| inline override private virtual

Implements HDF5::Access.

## ◆ getAttribute() [1/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | BufferString & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [2/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | double & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [3/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | float & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [4/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | od_int16 & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [5/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | od_int32 & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [6/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | od_int64 & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [7/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | od_uint16 & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [8/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | od_uint32 & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getAttribute() [9/9]

bool HDF5::ReaderImpl::getAttribute | ( | const char * | ,
|  | od_uint64 & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ getDataSets()

void HDF5::ReaderImpl::getDataSets | ( | const char * | fullgrpnm,
|  | BufferStringSet & | ) const
| override private virtual

Pass a full group name.

Implements HDF5::Reader.

## ◆ getDSScope()

H5::DataSet * HDF5::ReaderImpl::getDSScope | ( | const DataSetKey & |  | ) | const
| inline override private virtual

Returns (new) scope. null for root scope.

Implements HDF5::Access.

## ◆ getGroups()

void HDF5::ReaderImpl::getGroups | ( | BufferStringSet & |  | ) | const
| override private virtual

All groups with full names (recursive)

Implements HDF5::Reader.

## ◆ getGrpScope()

H5::Group * HDF5::ReaderImpl::getGrpScope | ( | const DataSetKey * | dsky | ) | const
| inline override private virtual

Implements HDF5::Access.

## ◆ getLocation()

H5::H5Location * HDF5::ReaderImpl::getLocation | ( | const DataSetKey * | dsky | ) | const
| inline override private virtual

Implements HDF5::Access.

## ◆ getNrAttributes()

int HDF5::ReaderImpl::getNrAttributes | ( | const DataSetKey * | = nullptr | ) | const
| override private virtual

Implements HDF5::Reader.

## ◆ getScope()

H5::H5Object * HDF5::ReaderImpl::getScope | ( | const DataSetKey * | dsky | ) | const
| inline override private virtual

Implements HDF5::Access.

## ◆ getSubGroups()

void HDF5::ReaderImpl::getSubGroups | ( | const char * | grpnm,
|  | BufferStringSet & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtAll()

void HDF5::ReaderImpl::gtAll | ( | const H5::DataSet & | ,
|  | void * | ,
|  | uiRetVal & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtAttribNames()

void HDF5::ReaderImpl::gtAttribNames | ( | const H5::H5Object & | ,
|  | BufferStringSet & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtComment()

void HDF5::ReaderImpl::gtComment | ( | const H5::H5Location & | ,
|  | const char * | name,
|  | BufferString & | ,
|  | uiRetVal & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtDataSizes()

ArrayNDInfo * HDF5::ReaderImpl::gtDataSizes | ( | const H5::DataSet & |  | ) | const
| override private virtual

Implements HDF5::Reader.

## ◆ gtDataType()

ODDataType HDF5::ReaderImpl::gtDataType | ( | const H5::DataSet & |  | ) | const
| override private virtual

Implements HDF5::Reader.

## ◆ gtInfo()

void HDF5::ReaderImpl::gtInfo | ( | const H5::H5Object & | ,
|  | IOPar & | ,
|  | uiRetVal & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtNrDims()

nr_dims_type HDF5::ReaderImpl::gtNrDims | ( |  | ) | const
| inline override private virtual

Implements HDF5::Reader.

## ◆ gtSlab()

void HDF5::ReaderImpl::gtSlab | ( | const H5::DataSet & | ,
|  | const SlabSpec & | ,
|  | void * | ,
|  | uiRetVal & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtStrings()

void HDF5::ReaderImpl::gtStrings | ( | const H5::DataSet & | ,
|  | BufferStringSet & | ,
|  | uiRetVal & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtValues()

void HDF5::ReaderImpl::gtValues | ( | const H5::DataSet & | ,
|  | const NDPosBufSet & | ,
|  | void * | ,
|  | uiRetVal & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ gtVersion()

unsigned HDF5::ReaderImpl::gtVersion | ( | const H5::H5Object & | ,
|  | uiRetVal & | ) const
| override private virtual

Implements HDF5::Reader.

## ◆ h5DataType()

const H5DataType & HDF5::ReaderImpl::h5DataType | ( | const H5::DataSet & |  | ) | const
| private

## ◆ hasAttribute()

bool HDF5::ReaderImpl::hasAttribute | ( | const char * | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ listObjs()

template<class H5Dir >

void HDF5::ReaderImpl::listObjs | ( | const H5Dir & | ,
|  | BufferStringSet & | ,
|  | bool | wantgroups ) const
| private

## ◆ openFile()

void HDF5::ReaderImpl::openFile | ( | const char * | ,
|  | uiRetVal & | ,
|  | bool | )
| override private virtual

Implements HDF5::Access.

## ◆ readJSonAttribute()

uiRetVal HDF5::ReaderImpl::readJSonAttribute | ( | const char * | ,
|  | OD::JSON::ValueSet & | ,
|  | const DataSetKey * | = nullptr ) const
| override private virtual

Implements HDF5::Reader.

## ◆ scope()

DataSetKey HDF5::ReaderImpl::scope | ( |  | ) | const
| inline override private virtual

Implements HDF5::Access.

## ◆ setDSScope()

H5::DataSet * HDF5::ReaderImpl::setDSScope | ( | const DataSetKey & | dsky | ) |
| inline override private virtual

Implements HDF5::Access.

## ◆ setGrpScope()

H5::Group * HDF5::ReaderImpl::setGrpScope | ( | const DataSetKey * | dsky | ) |
| inline override private virtual

Implements HDF5::Access.

## ◆ setLocation()

H5::H5Location * HDF5::ReaderImpl::setLocation | ( | const DataSetKey * | dsky | ) |
| inline override private virtual

Implements HDF5::Access.

## ◆ setScope()

H5::H5Object * HDF5::ReaderImpl::setScope | ( | const DataSetKey * | dsky | ) |
| inline override private virtual

Implements HDF5::Access.

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025